Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface ServerMBean

public interface ServerMBean
extends KernelMBean, TargetMBean

This class represents a WebLogic Server. A WebLogic Server is a Java process that is a container for J2EE applications.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DEFAULT_JDBC_FILE_NAME`
`static java.lang.String` | `EXTERNAL_STAGE` This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, but will be activated from the staging directory.
`static java.lang.String` | `LOGTYPE_WL_STDERR`
`static java.lang.String` | `LOGTYPE_WL_STDOUT`
`static java.lang.String` | `NO_STAGE` This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, and will be activated from the location specified by the application's Path attribute.
`static java.lang.String` | `STAGE` This staging mode indicates that applications deployed to this server will be staged as part of the deployment.
`static java.lang.String` | `STAGING_NAME` the default staging directory name, relative to the server directory.
`static java.lang.String` | `SYNCWRITE_CACHEFLUSH`
`static java.lang.String` | `SYNCWRITE_DIRECTWRITE`
`static java.lang.String` | `UPLOAD_DIR_NAME`

Fields inherited from class weblogic.management.configuration.KernelMBean
`STDOUT_NOID, STDOUT_STANDARD`

Fields inherited from class weblogic.management.configuration.TargetMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)`
`int` | `getAcceptBacklog()` Allowed backlog of new TCP connection requests for both the plaintext and SSL port.
`int` | `getAdministrationPort()` The secure administration port for the server.
`boolean` | `getAutoKillIfFailed()` Enables/Disables automatic kill of a Failed server by the Node Manager.
`boolean` | `getAutoRestart()` Enables/Disables automatic restart of a crashed server by the Node Manager.
`ClusterMBean` | `getCluster()` The cluster to which this server belongs.
`ClusterRuntimeMBean` | `getClusterRuntime()` Returns an mbean containing runtime information about the cluster which was started from this configuration mbean.
`int` | `getClusterWeight()` Defines a value used specify the proportion of the load the server will bear relative to other servers in a cluster.
`COMMBean` | `getCOM()` Returns the server's COM configuration.
`java.lang.String` | `getCustomIdentityKeyStoreFileName()` Gets the customIdentityKeyStoreFileName attribute of the ServerMBean object
`java.lang.String` | `getCustomIdentityKeyStorePassPhrase()` The custom identity keystore's passphrase.
`byte[]` | `getCustomIdentityKeyStorePassPhraseEncrypted()` The encrypted custom identity keystore's passphrase.
`java.lang.String` | `getCustomIdentityKeyStoreType()` Gets the customIdentityKeyStoreType attribute of the ServerMBean object
`java.lang.String` | `getCustomTrustKeyStoreFileName()` Gets the customTrustKeyStoreFileName attribute of the ServerMBean object
`java.lang.String` | `getCustomTrustKeyStorePassPhrase()` The custom trust keystore's passphrase.
`byte[]` | `getCustomTrustKeyStorePassPhraseEncrypted()` The custom trust keystore's encrypted passphrase.
`java.lang.String` | `getCustomTrustKeyStoreType()` Gets the customTrustKeyStoreType attribute of the ServerMBean object
`java.lang.String` | `getDefaultIIOPPassword()` The password for the default IIOP user.
`byte[]` | `getDefaultIIOPPasswordEncrypted()` The encrypted password for the default IIOP user.
`java.lang.String` | `getDefaultIIOPUser()` The default IIOP user.
`java.lang.String` | `getDefaultTGIOPPassword()` The password for the default TGIOP user.
`byte[]` | `getDefaultTGIOPPasswordEncrypted()` The encrypted password for the default TGIOP user.
`java.lang.String` | `getDefaultTGIOPUser()` The default TGIOP user.
`DomainLogFilterMBean` | `getDomainLogFilter()` Determines which messages this server sends to the domain log.
`boolean` | `getExpectedToRun()` If this server expected to run if the domain is started.
`java.lang.String` | `getExternalDNSName()` The external DNS name for the current server, which will be sent with http session cookies and also with the dynamic server lists to http proxies.
`java.lang.String` | `getExtraEjbcOptions()` Returns the extra options passed to ejbc during dynamic ejb compilation.
`java.lang.String` | `getExtraRmicOptions()` Returns the extra options passed to rmic during server-side generation.
`int` | `getGracefulShutdownTimeout()` Gets the gracefulShutdownTimeout attribute of the ServerMBean object
`int` | `getHealthCheckIntervalSeconds()` Periodicity (in seconds) of the server's health checks.
`int` | `getHealthCheckTimeoutSeconds()` Time (in seconds) the Node Manager should wait before timing out its health query to the server.
`boolean` | `getHostsMigratableServices()` Gets the hostsMigratableServices attribute of the ServerMBean object
`java.lang.String` | `getInterfaceAddress()` Defines the interface address used to specify the NIC that handles cluster multicast traffic.
`java.lang.String` | `getJavaCompiler()` The Java Compiler for all applications that need to compile Java code.
`java.lang.String` | `getJavaCompilerPostClassPath()` Returns the options to append to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJavaCompilerPreClassPath()` Returns the options to prepend to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJavaStandardTrustKeyStorePassPhrase()` The JRE's standard trust keystore's passphrase.
`byte[]` | `getJavaStandardTrustKeyStorePassPhraseEncrypted()` The JRE's standard trust keystore's encrypted passphrase.
`java.lang.String` | `getJDBCLogFileName()` The name of the JDBC log file.
`java.lang.String[]` | `getJNDITransportableObjectFactoryList()` List of factories that create transportable objects.
`java.lang.String` | `getKeyStores()` Gets the keyStores attribute of the ServerMBean object
`java.lang.String` | `getListenAddress()` The IP address or DNS name this server uses to listen for incoming connections.
`int` | `getListenDelaySecs()` Deprecated.
`int` | `getListenPort()` The plain-text (non-SSL) listen port for this server.
`int` | `getListenThreadStartDelaySecs()` Gets the listenThreadStartDelaySecs attribute of the ServerMBean object
`int` | `getLoginTimeout()` Not used, use getLoginTimeoutMillis instead.
`int` | `getLoginTimeoutMillis()` The login timeout for the server's plain-text (non-SSL) port, in milliseconds.
`int` | `getLowMemoryGCThreshold()` The threshold level (a percentage value) at which we the server logs a low memory warning once the granularity reporting level has been met.
`int` | `getLowMemoryGranularityLevel()` Returns the granularity level used in reporting LowMemory information.
`int` | `getLowMemorySampleSize()` Returns the total sample size used for LowMemoryTimeInterval.
`int` | `getLowMemoryTimeInterval()` Returns the time interval.
`MachineMBean` | `getMachine()` The machine on which this server is meant to run.
`java.lang.String` | `getName()` The name of the Server.
`NetworkAccessPointMBean[]` | `getNetworkAccessPoints()` Network access points, or "NAPs", define additional ports and addresses that this server listens on.
`java.lang.String` | `getPreferredSecondaryGroup()` Defines secondary clustered instances considered for hosting replicas of the primary HTTP session states created on the server.
`WSReliableDeliveryPolicyMBean` | `getReliableDeliveryPolicy()` Gets the reliableDeliveryPolicy attribute of the ServerMBean object
`java.lang.String` | `getReplicationGroup()` Defines preferred clustered instances considered for hosting replicas of the primary HTTP session states created on the server.
`int` | `getRestartDelaySeconds()` Time (in seconds) the Node Manager should wait before restarting the server.
`int` | `getRestartIntervalSeconds()` Interval (in seconds) during which a server can be restarted RestartMax times.
`int` | `getRestartMax()` Number of times a server can be restarted within an interval of RestartIntervalSeconds seconds.
`int` | `getServerLifeCycleTimeoutVal()` Gets the serverLifeCycleTimeoutVal attribute of the ServerMBean object
`ServerStartMBean` | `getServerStart()` Returns the ServerStartMBean that can be used to start up this server remotely.
`java.lang.String` | `getServerVersion()` Returns the release identifier for the server.
`java.lang.String` | `getStagingDirectoryName()` Identifies the directory path on the managed server where all staged (prepared) applications are placed.
`java.lang.String` | `getStagingMode()` During application preparation, the application's files are copied from the source on the admin server to the managed server's staging area.
`java.lang.String` | `getStartupMode()` Gets the startupMode attribute of the ServerMBean object
`java.lang.String` | `getTransactionLogFilePrefix()` The path prefix for the server's JTA transaction log files.
`java.lang.String` | `getTransactionLogFileWritePolicy()` The policy used for writing log records to disk.
`int` | `getTunnelingClientPingSecs()` Interval (in seconds) at which to ping a tunneled client to see if it is still alive.
`int` | `getTunnelingClientTimeoutSecs()` Duration (in seconds) after which a missing tunneled client is considered dead.
`java.lang.String` | `getUploadDirectoryName()` Identifies the directory path on the AdminServer where all uploaded applications are placed.
`java.lang.String` | `getVerboseEJBDeploymentEnabled()` Whether or not verbose deployment of EJB's is enabled.
`WebServerMBean` | `getWebServer()` Return the web server for this server.
`XMLEntityCacheMBean` | `getXMLEntityCache()` The XML Entity Cache for the server
`XMLRegistryMBean` | `getXMLRegistry()` The XML Registry for the server.
`boolean` | `isClasspathServletDisabled()` Gets the classpathServletDisabled attribute of the ServerMBean object
`boolean` | `isClientCertProxyEnabled()` Gets the clientCertProxyEnabled attribute of the ServerMBean object
`boolean` | `isCOMEnabled()` Whether or not COM support is enabled on the plaintext port.
`boolean` | `isDefaultInternalServletsDisabled()` Gets the defaultInternalServletsDisabled attribute of the ServerMBean object
`boolean` | `isEnabledForDomainLog()` Determines whether this server sends messages to the domain log (in addition to keeping its own log).
`boolean` | `isHttpdEnabled()` Whether or not HTTP support is enabled on the plaintext or SSL port.
`boolean` | `isHttpTraceSupportEnabled()`
`boolean` | `isIgnoreSessionsDuringShutdown()` Indicates whether a graceful shutdown operation drops all HTTP sessions immediately.
`boolean` | `isIIOPEnabled()` Whether or not IIOP support is enabled for both the SSL and non-SSL ports.
`boolean` | `isIORServletEnabled()` Whether or not the GetIORServlet needs to be initialized.
`boolean` | `isJDBCLoggingEnabled()` Determines whether this server maintains a JDBC log file.
`boolean` | `isJMSDefaultConnectionFactoriesEnabled()` Enables JMS default connection factories.
`boolean` | `isListenPortEnabled()` Get if the plain-text (non-SSL) port is enabled for the server.
`boolean` | `isManagedServerIndependenceEnabled()` Indicates whether Managed Server Independence is enabled for this server.
`boolean` | `isMessageIdPrefixEnabled()` Indicates whether message ids in logged messages will include a prefix.
`boolean` | `isMSIFileReplicationEnabled()` Indicates whether the replication of configuration files is enabled for a Managed Server.
`boolean` | `isTGIOPEnabled()` Whether or not TGIOP support is enabled.
`boolean` | `isTunnelingEnabled()` Enables tunneling for the T3, T3S, HTTP, HTTPS, IIOP, and IIOPS protocols.
`boolean` | `isWeblogicPluginEnabled()` Gets the weblogicPluginEnabled attribute of the ServerMBean object
`boolean` | `removeNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)`
`void` | `setAcceptBacklog(int count)` Sets the acceptBacklog attribute of the ServerMBean object
`void` | `setAdministrationPort(int port)` Sets the administrationPort attribute of the ServerMBean object
`void` | `setAdministrationPortEnabled(boolean value)` Sets the administrationPortEnabled attribute of the ServerMBean object
`void` | `setAutoKillIfFailed(boolean enable)` Sets the autoKillIfFailed attribute of the ServerMBean object
`void` | `setAutoMigrationEnabled(boolean enable)` Sets the autoMigrationEnabled attribute of the ServerMBean object
`void` | `setAutoRestart(boolean enable)` Sets the autoRestart attribute of the ServerMBean object
`void` | `setClasspathServletDisabled(boolean enabled)` The ClasspathServlet will serve any class file in the classpath and is registered by default in every webapp (including management).
`void` | `setClientCertProxyEnabled(boolean ccp)` A value of `true` causes proxy-server plugins to pass identity certifications from clients to all web applications that are deployed on this server instance.
`void` | `setCluster(ClusterMBean cluster)` Sets the cluster attribute of the ServerMBean object
`void` | `setClusterWeight(int weight)` Sets the clusterWeight attribute of the ServerMBean object
`void` | `setCOMEnabled(boolean enable)` Sets the cOMEnabled attribute of the ServerMBean object
`void` | `setConsoleInputEnabled(boolean enable)` Sets the consoleInputEnabled attribute of the ServerMBean object
`void` | `setCustomIdentityKeyStoreFileName(java.lang.String fileName)` The custom identity keystore's file name.
`void` | `setCustomIdentityKeyStorePassPhrase(java.lang.String passPhrase)` As of 8.1 sp4, this method does the following:
`void` | `setCustomIdentityKeyStorePassPhraseEncrypted(byte[] bytes)` Encrypts and sets the value of the CustomIdentityKeyStorePassPhraseEncrypted attribute.
`void` | `setCustomIdentityKeyStoreType(java.lang.String type)` The custom identity keystore's type.
`void` | `setCustomTrustKeyStoreFileName(java.lang.String fileName)` The custom trust keystore's file name.
`void` | `setCustomTrustKeyStorePassPhrase(java.lang.String passPhrase)` As of 8.1 sp4, this method does the following:
`void` | `setCustomTrustKeyStorePassPhraseEncrypted(byte[] bytes)` Encrypts and sets the value of the CustomTrustKeyStorePassPhraseEncrypted attribute.
`void` | `setCustomTrustKeyStoreType(java.lang.String type)` The custom trust keystore's type.
`void` | `setDefaultIIOPPassword(java.lang.String password)` As of 8.1 sp4, this method does the following:
`void` | `setDefaultIIOPPasswordEncrypted(byte[] bytes)` Encrypts and sets the value of the DefaultIIOPPasswordEncrypted attribute.
`void` | `setDefaultIIOPUser(java.lang.String user)` Sets the defaultIIOPUser attribute of the ServerMBean object
`void` | `setDefaultInternalServletsDisabled(boolean enabled)` This disables all default servlets in the servlet engine.
`void` | `setDefaultTGIOPPassword(java.lang.String password)` As of 8.1 sp4, this method does the following:
`void` | `setDefaultTGIOPPasswordEncrypted(byte[] bytes)` Encrypts and sets the value of the DefaultTGIOPPasswordEncrypted attribute.
`void` | `setDefaultTGIOPUser(java.lang.String user)` Sets the defaultTGIOPUser attribute of the ServerMBean object
`void` | `setDomainLogFilter(DomainLogFilterMBean filter)` Sets the domainLogFilter attribute of the ServerMBean object
`void` | `setEnabledForDomainLog(boolean choice)` Sets the enabledForDomainLog attribute of the ServerMBean object
`void` | `setExpectedToRun(boolean flag)` Sets the expectedToRun attribute of the ServerMBean object
`void` | `setExternalDNSName(java.lang.String externalDNSName)` Sets the externalDNSName attribute of the ServerMBean object
`void` | `setExtraEjbcOptions(java.lang.String options)`
`void` | `setExtraRmicOptions(java.lang.String options)` Sets the extraRmicOptions attribute of the ServerMBean object
`void` | `setGracefulShutdownTimeout(int timeout)` Number of seconds a graceful shutdown operation waits before forcing a shut down.
`void` | `setHealthCheckIntervalSeconds(int secs)` Sets the healthCheckIntervalSeconds attribute of the ServerMBean object
`void` | `setHealthCheckStartDelaySeconds(int secs)` Sets the healthCheckStartDelaySeconds attribute of the ServerMBean object
`void` | `setHealthCheckTimeoutSeconds(int secs)` Sets the healthCheckTimeoutSeconds attribute of the ServerMBean object
`void` | `setHelpPageURL(java.lang.String url)` Sets the helpPageURL attribute of the ServerMBean object
`void` | `setHttpdEnabled(boolean enable)` Sets the httpdEnabled attribute of the ServerMBean object
`void` | `setHttpTraceSupportEnabled(boolean tse)` Attackers may abuse HTTP TRACE functionality to gain access to information in HTTP headers such as cookies and authentication data.
`void` | `setIgnoreSessionsDuringShutdown(boolean ignoreSessions)` Sets the ignoreSessionsDuringShutdown attribute of the ServerMBean object
`void` | `setIIOPEnabled(boolean enable)` Sets the iIOPEnabled attribute of the ServerMBean object
`void` | `setInterfaceAddress(java.lang.String address)`
`void` | `setIORServletEnabled(boolean enable)` set the flag to enable GetIORServlet
`void` | `setJ2EE12OnlyModeEnabled(boolean enable)` Sets the j2EE12OnlyModeEnabled attribute of the ServerMBean object
`void` | `setJ2EE13WarningEnabled(boolean enable)` Sets the j2EE13WarningEnabled attribute of the ServerMBean object
`void` | `setJavaCompiler(java.lang.String javaCompiler)` Sets the javaCompiler attribute of the ServerMBean object
`void` | `setJavaCompilerPostClassPath(java.lang.String postClassPath)` Sets the javaCompilerPostClassPath attribute of the ServerMBean object
`void` | `setJavaCompilerPreClassPath(java.lang.String preClassPath)` Sets the javaCompilerPreClassPath attribute of the ServerMBean object
`void` | `setJavaStandardTrustKeyStorePassPhrase(java.lang.String passPhrase)` As of 8.1 sp4, this method does the following:
`void` | `setJavaStandardTrustKeyStorePassPhraseEncrypted(byte[] bytes)` Encrypts and sets the value of the JavaStandardTrustKeyStorePassPhraseEncrypted attribute.
`void` | `setJDBCLogFileName(java.lang.String logFileName)` Sets the jDBCLogFileName attribute of the ServerMBean object
`void` | `setJDBCLoggingEnabled(boolean enable)` Sets the jDBCLoggingEnabled attribute of the ServerMBean object
`void` | `setJMSDefaultConnectionFactoriesEnabled(boolean enabled)` Sets the jMSDefaultConnectionFactoriesEnabled attribute of the ServerMBean object
`void` | `setJNDITransportableObjectFactoryList(java.lang.String[] list)` Sets the jNDITransportableObjectFactoryList attribute of the ServerMBean object
`void` | `setKeyStores(java.lang.String keystores)` Which configuration rules should be used for finding the server's identity and trust keystores?
`void` | `setListenAddress(java.lang.String address)` Sets the value of the ListenAddress attribute.
`void` | `setListenDelaySecs(int seconds)` Sets the listenDelaySecs attribute of the ServerMBean object
`void` | `setListenPort(int port)` Sets the listenPort attribute of the ServerMBean object
`void` | `setListenPortEnabled(boolean enable)`
`void` | `setLoginTimeout(int timeout)` Not used, use setLoginTimeoutMillis instead.
`void` | `setLoginTimeoutMillis(int count)` Sets the loginTimeoutMillis attribute of the ServerMBean object
`void` | `setLowMemoryGCThreshold(int size)` Sets the lowMemoryGCThreshold attribute of the ServerMBean object
`void` | `setLowMemoryGranularityLevel(int size)` Sets the lowMemoryGranularityLevel attribute of the ServerMBean object
`void` | `setLowMemorySampleSize(int sampleSize)` Sets the lowMemorySampleSize attribute of the ServerMBean object
`void` | `setLowMemoryTimeInterval(int seconds)` Sets the lowMemoryTimeInterval attribute of the ServerMBean object
`void` | `setMachine(MachineMBean machine)` The machine on which this server is meant to run.
`void` | `setManagedServerIndependenceEnabled(boolean enable)` Sets the managedServerIndependenceEnabled attribute of the ServerMBean object
`void` | `setMessageIdPrefixEnabled(boolean prefix)` Sets the messageIdPrefixEnabled attribute of the ServerMBean object
`void` | `setMSIFileReplicationEnabled(boolean enable)` Sets the mSIFileReplicationEnabled attribute of the ServerMBean object
`void` | `setName(java.lang.String name)` Set the name of the MBean.
`void` | `setNetworkAccessPoints(NetworkAccessPointMBean[] networkAccessPoints)`
`void` | `setPreferredSecondaryGroup(java.lang.String group)` Sets the preferredSecondaryGroup attribute of the ServerMBean object
`void` | `setReliableDeliveryPolicy(WSReliableDeliveryPolicyMBean mbean)` The reliable delivery policy for web services.
`void` | `setReplicationGroup(java.lang.String group)` Sets the replicationGroup attribute of the ServerMBean object
`void` | `setRestartDelaySeconds(int secs)` Sets the restartDelaySeconds attribute of the ServerMBean object
`void` | `setRestartIntervalSeconds(int secs)` Sets the restartIntervalSeconds attribute of the ServerMBean object
`void` | `setRestartMax(int value)` Sets the restartMax attribute of the ServerMBean object
`void` | `setServerVersion(java.lang.String version)` Sets the serverVersion attribute of the ServerMBean object
`void` | `setStagingMode(java.lang.String staging)` Sets the stagingMode attribute of the ServerMBean object
`void` | `setStartupMode(java.lang.String mode)` Startup Mode for the server
`void` | `setSystemPassword(java.lang.String password)` Deprecated.
`void` | `setSystemPasswordEncrypted(byte[] bytes)` Encrypts the system password and sets the value of the SystemPasswordEncrypted attribute.
`void` | `setTGIOPEnabled(boolean enable)` Sets the tGIOPEnabled attribute of the ServerMBean object
`void` | `setTransactionLogFilePrefix(java.lang.String pathPrefix)` Sets the transactionLogFilePrefix attribute of the ServerMBean object
`void` | `setTransactionLogFileWritePolicy(java.lang.String policy)` Sets the transactionLogFileWritePolicy attribute of the ServerMBean object
`void` | `setTunnelingClientPingSecs(int secs)` Sets the tunnelingClientPingSecs attribute of the ServerMBean object
`void` | `setTunnelingClientTimeoutSecs(int secs)` Sets the tunnelingClientTimeoutSecs attribute of the ServerMBean object
`void` | `setTunnelingEnabled(boolean enabled)` Sets the tunnelingEnabled attribute of the ServerMBean object
`void` | `setUploadDirectoryName(java.lang.String dir)` Sets the uploadDirectoryName attribute of the ServerMBean object
`void` | `setVerboseEJBDeploymentEnabled(java.lang.String verbose)` Sets the verboseEJBDeploymentEnabled attribute of the ServerMBean object
`void` | `setWeblogicPluginEnabled(boolean wpe)` WLS HttpRequest.getRemoteAddr() used to rely on X-Forwarded-For for its returned value.
`void` | `setWorkspaceShowUserKeysOnly(boolean b)` Sets the workspaceShowUserKeysOnly attribute of the ServerMBean object
`void` | `setXMLEntityCache(XMLEntityCacheMBean cache)` Sets the xMLEntityCache attribute of the ServerMBean object
`void` | `setXMLRegistry(XMLRegistryMBean registry)` Sets the xMLRegistry attribute of the ServerMBean object
`void` | `setZACEnabled(boolean enable)` Sets the zACEnabled attribute of the ServerMBean object
`void` | `setZACPublishRoot(java.lang.String path)` Sets the zACPublishRoot attribute of the ServerMBean object
`void` | `stop()` Deprecated.
`java.lang.String` | `synchronousKill()` Kill this server.
`java.lang.String` | `synchronousStart()` Start this server.

Methods inherited from interface weblogic.management.configuration.KernelMBean
`getCompleteCOMMessageTimeout, getCompleteHTTPMessageTimeout, getCompleteIIOPMessageTimeout, getCompleteMessageTimeout, getCompleteT3MessageTimeout, getDefaultProtocol, getDefaultSecureProtocol, getExecuteQueues, getIdleConnectionTimeout, getIdleIIOPConnectionTimeout, getIIOP, getLog, getMaxCOMMessageSize, getMaxHTTPMessageSize, getMaxIIOPMessageSize, getMaxMessageSize, getMaxOpenSockCount, getMaxT3MessageSize, getMTUSize, getMuxerClass, getSocketReaders, getSSL, getStdoutFormat, getStdoutSeverityLevel, getStuckThreadMaxTime, getStuckThreadTimerInterval, getThreadPoolPercentSocketReaders, isInstrumentStackTraceEnabled, isLogRemoteExceptionsEnabled, isNativeIOEnabled, isReverseDNSAllowed, isSocketBufferSizeAsChunkSize, isStdoutDebugEnabled, isStdoutEnabled, isStdoutLogStack, setCompleteCOMMessageTimeout, setCompleteHTTPMessageTimeout, setCompleteIIOPMessageTimeout, setCompleteMessageTimeout, setCompleteT3MessageTimeout, setDefaultProtocol, setDefaultSecureProtocol, setDGCIdlePeriodsUntilTimeout, setIdleConnectionTimeout, setIdleIIOPConnectionTimeout, setIIOPLocationForwardPolicy, setIIOPTxMechanism, setInstrumentStackTraceEnabled, setLogRemoteExceptionsEnabled, setMaxCOMMessageSize, setMaxHTTPMessageSize, setMaxIIOPMessageSize, setMaxMessageSize, setMaxOpenSockCount, setMaxT3MessageSize, setMTUSize, setMuxerClass, setNativeIOEnabled, setReverseDNSAllowed, setSocketBufferSizeAsChunkSize, setSocketReaders, setStdoutDebugEnabled, setStdoutEnabled, setStdoutFormat, setStdoutLogStack, setStdoutSeverityLevel, setStuckThreadMaxTime, setStuckThreadTimerInterval, setThreadPoolPercentSocketReaders, setUseIIOPLocateRequest`

Methods inherited from interface weblogic.management.configuration.TargetMBean
`setDeployments`

Field Detail

### STAGING_NAME

    public static final java.lang.String STAGING_NAME

  the default staging directory name, relative to the server directory. This is the directory used to stage applications during deployment.

### STAGE

    public static final java.lang.String STAGE

  This staging mode indicates that applications deployed to this server will be staged as part of the deployment.

### NO_STAGE

    public static final java.lang.String NO_STAGE

  This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, and will be activated from the location specified by the application's Path attribute.

### EXTERNAL_STAGE

    public static final java.lang.String EXTERNAL_STAGE

  This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, but will be activated from the staging directory.

### UPLOAD_DIR_NAME

    public static final java.lang.String UPLOAD_DIR_NAME

### LOGTYPE_WL_STDOUT

    public static final java.lang.String LOGTYPE_WL_STDOUT

### LOGTYPE_WL_STDERR

    public static final java.lang.String LOGTYPE_WL_STDERR

### SYNCWRITE_CACHEFLUSH

    public static final java.lang.String SYNCWRITE_CACHEFLUSH

### SYNCWRITE_DIRECTWRITE

    public static final java.lang.String SYNCWRITE_DIRECTWRITE

### DEFAULT_JDBC_FILE_NAME

    public static final java.lang.String DEFAULT_JDBC_FILE_NAME

Method Detail

### getMachine

    public MachineMBean getMachine()

  The machine on which this server is meant to run.

  If you want to use a Node Manager to start this server, you must assign the server to a machine and you must configure the machine for the Node Manager.

  You cannot change this value if a server instance is already running.

  A configurable MBean attribute
  Returns:
    The machine value

### setMachine

    public void setMachine(MachineMBean machine)
                    throws javax.management.InvalidAttributeValueException

  The machine on which this server is meant to run.

  If you want to use a Node Manager to start this server, you must assign the server to a machine and you must configure the machine for the Node Manager.

  You cannot change this value if a server instance is already running.

  Legal Value: LegalHelper.serverMBeanChangeMachine(value,self)
  Parameters:
    `machine` - The new machine value
  Throws:
    javax.management.InvalidAttributeValueException -

### getListenPort

    public int getListenPort()

  The plain-text (non-SSL) listen port for this server. If this is disabled the SSL port must be enabled. Additional ports can be configured using network channels (see NetworkChannelMBean). The cluster (multicast) port is configured seperately (see getCluster).

  A configurable MBean attribute
  Default Value: 7001
  Legal Minimum Value: 1
  Legal Maximum Value: 65534
  Returns:
    The listenPort value
  See Also:
    `isListenPortEnabled()`, `getAdministrationPort()`, `getListenAddress()`, `getCluster()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`, `NetworkChannelMBean.getListenPort()`, `NetworkChannelMBean.getSSLListenPort()`

### setListenPort

    public void setListenPort(int port)
                       throws javax.management.InvalidAttributeValueException

  Sets the listenPort attribute of the ServerMBean object

  Parameters:
    `port` - The new listenPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### isListenPortEnabled

    public boolean isListenPortEnabled()

  Get if the plain-text (non-SSL) port is enabled for the server. If this is set to false, the SSL listen port must be configured and enabled.

  Returns:
    The listenPortEnabled value
  See Also:
    `getListenPort()`, `isAdministrationPortEnabled()`, `KernelMBean.getSSL()`, `SSLMBean.isListenPortEnabled()`, `NetworkChannelMBean.isListenPortEnabled()`, `NetworkChannelMBean.isSSLListenPortEnabled()`

### setListenPortEnabled

    public void setListenPortEnabled(boolean enable)
                              throws javax.management.InvalidAttributeValueException

  Default Value: true
  Legal Value: value || ServerLegalHelper.isSSLListenPortEnabled(self)
  Secure Value: false
  Parameters:
    `enable` - The new listenPortEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLoginTimeout

    public int getLoginTimeout()

  Not used, use getLoginTimeoutMillis instead.

  A dynamic MBean attribute
  Default Value: 1000
  Legal Minimum Value: 0
  Returns:
    The loginTimeout value
  See Also:
    `getLoginTimeoutMillis()`

### setLoginTimeout

    public void setLoginTimeout(int timeout)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Not used, use setLoginTimeoutMillis instead.

  Parameters:
    `timeout` - The new loginTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
  See Also:
    `getLoginTimeoutMillis()`

### getCluster

    public ClusterMBean getCluster()

  The cluster to which this server belongs. If set, the server will listen for cluster multicast events.

  A configurable MBean attribute
  Returns:
    The cluster value
  See Also:
    `getClusterWeight()`, `ClusterMBean.getMulticastPort()`, `ClusterMBean.getMulticastAddress()`

### setCluster

    public void setCluster(ClusterMBean cluster)
                    throws javax.management.InvalidAttributeValueException

  Sets the cluster attribute of the ServerMBean object

  Parameters:
    `cluster` - The new cluster value
  Throws:
    javax.management.InvalidAttributeValueException -

### getClusterWeight

    public int getClusterWeight()

  Defines a value used specify the proportion of the load the server will bear relative to other servers in a cluster.

  If all servers have the default weight (100) or the same weight, each bears an equal proportion of the load. If one server has weight 50 and all other servers have weight 100, the 50-weight server will bear half as much load as any other server.

  A configurable MBean attribute
  Default Value: 100
  Legal Minimum Value: 1
  Legal Maximum Value: 100
  Returns:
    The clusterWeight value
  See Also:
    `getCluster()`

### setClusterWeight

    public void setClusterWeight(int weight)
                          throws javax.management.InvalidAttributeValueException

  Sets the clusterWeight attribute of the ServerMBean object

  Parameters:
    `weight` - The new clusterWeight value
  Throws:
    javax.management.InvalidAttributeValueException -

### getReplicationGroup

    public java.lang.String getReplicationGroup()

  Defines preferred clustered instances considered for hosting replicas of the primary HTTP session states created on the server.

  Returns:
    The replicationGroup value

### setReplicationGroup

    public void setReplicationGroup(java.lang.String group)
                             throws javax.management.InvalidAttributeValueException

  Sets the replicationGroup attribute of the ServerMBean object

  Parameters:
    `group` - The new replicationGroup value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPreferredSecondaryGroup

    public java.lang.String getPreferredSecondaryGroup()

  Defines secondary clustered instances considered for hosting replicas of the primary HTTP session states created on the server.

  Returns:
    The preferredSecondaryGroup value

### setPreferredSecondaryGroup

    public void setPreferredSecondaryGroup(java.lang.String group)
                                    throws javax.management.InvalidAttributeValueException

  Sets the preferredSecondaryGroup attribute of the ServerMBean object

  Parameters:
    `group` - The new preferredSecondaryGroup value
  Throws:
    javax.management.InvalidAttributeValueException -

### setAutoMigrationEnabled

    public void setAutoMigrationEnabled(boolean enable)

  Sets the autoMigrationEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new autoMigrationEnabled value

### getClusterRuntime

    public ClusterRuntimeMBean getClusterRuntime()

  Returns an mbean containing runtime information about the cluster which was started from this configuration mbean. Returns null if no such cluster exists.

  Returns:
    The clusterRuntime value

### getWebServer

    public WebServerMBean getWebServer()

  Return the web server for this server. A server has exactly one WebServer. A server may also have one or more VirtualHosts. A VirtualHost is a subclass of WebServer.

  Returns:
    The webServer value

### getExpectedToRun

    public boolean getExpectedToRun()

  If this server expected to run if the domain is started.

  A configurable MBean attribute
  Default Value: true
  Returns:
    The expectedToRun value
  See Also:
    `stop()`, `start()`, `kill()`

### setExpectedToRun

    public void setExpectedToRun(boolean flag)

  Sets the expectedToRun attribute of the ServerMBean object

  Parameters:
    `flag` - The new expectedToRun value

### synchronousStart

    public java.lang.String synchronousStart()

  Start this server. This is a blocking call. Returns String containg NodeManger log for starting the server.

  Returns:

### stop

    public void stop()

  Deprecated.
  Stop this server. This method attempts a soft shutdown of the server. If the server is not responsive, the kill method may be used. Returns an exit code of 0 (PeerGoneException). If the client that calls this method is remote, the PeerGoneException is nested inside a RemoteRuntimeException. The remote client is responsible for gracefully handling this exception.

  See Also:
    `stop()`, `getExpectedToRun()`, `kill()`

### synchronousKill

    public java.lang.String synchronousKill()

  Kill this server. This is a blocking call. Returns String containg NodeManger log for killing the server.

  Returns:

### isJDBCLoggingEnabled

    public boolean isJDBCLoggingEnabled()

  Determines whether this server maintains a JDBC log file.

  Old Property: weblogic.jdbc.enableLogFile
  Secure Value: true
  Returns:
    The jDBCLoggingEnabled value

### setJDBCLoggingEnabled

    public void setJDBCLoggingEnabled(boolean enable)

  Sets the jDBCLoggingEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new jDBCLoggingEnabled value

### getJDBCLogFileName

    public java.lang.String getJDBCLogFileName()

  The name of the JDBC log file. If the pathname is not absolute, the path is assumed to be relative to the server's root directory. If the log has no path element and is atomic, ie. jdbc.log to avoid name space conflicts the file will be placed relative to the root directory in ./SERVER_NAME/

  Default Value: DEFAULT_JDBC_FILE_NAME
  Old Property: weblogic.jdbc.logFileName
  Returns:
    The jDBCLogFileName value

### setJDBCLogFileName

    public void setJDBCLogFileName(java.lang.String logFileName)
                            throws javax.management.InvalidAttributeValueException

  Sets the jDBCLogFileName attribute of the ServerMBean object

  Parameters:
    `logFileName` - The new jDBCLogFileName value
  Throws:
    javax.management.InvalidAttributeValueException -

### setJ2EE12OnlyModeEnabled

    public void setJ2EE12OnlyModeEnabled(boolean enable)

  Sets the j2EE12OnlyModeEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new j2EE12OnlyModeEnabled value

### setJ2EE13WarningEnabled

    public void setJ2EE13WarningEnabled(boolean enable)

  Sets the j2EE13WarningEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new j2EE13WarningEnabled value

### setZACEnabled

    public void setZACEnabled(boolean enable)

  Sets the zACEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new zACEnabled value

### setZACPublishRoot

    public void setZACPublishRoot(java.lang.String path)
                           throws javax.management.InvalidAttributeValueException

  Sets the zACPublishRoot attribute of the ServerMBean object

  Parameters:
    `path` - The new zACPublishRoot value
  Throws:
    javax.management.InvalidAttributeValueException -

### isIIOPEnabled

    public boolean isIIOPEnabled()

  Whether or not IIOP support is enabled for both the SSL and non-SSL ports.

  Default Value: true
  Old Property: weblogic.system.enableIIOP
  Returns:
    The iIOPEnabled value
  See Also:
    `getListenPort()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`

### setIIOPEnabled

    public void setIIOPEnabled(boolean enable)

  Sets the iIOPEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new iIOPEnabled value

### getDefaultIIOPUser

    public java.lang.String getDefaultIIOPUser()

  The default IIOP user.

  Default Value: null
  Old Property: weblogic.iiop.user
  Returns:
    The defaultIIOPUser value

### setDefaultIIOPUser

    public void setDefaultIIOPUser(java.lang.String user)
                            throws javax.management.InvalidAttributeValueException

  Sets the defaultIIOPUser attribute of the ServerMBean object

  Parameters:
    `user` - The new defaultIIOPUser value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultIIOPPassword

    public java.lang.String getDefaultIIOPPassword()

  The password for the default IIOP user.

  As of 8.1 sp4, the `getDefaultIIOPPassword()` method does the following:

  1. Retrieves the value of the `DefaultIIOPPasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getDefaultIIOPPassword()` is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getDefaultIIOPPasswordEncrypted()` to retrieve the encrypted password. On the same WebLogic Server that encrypted the value of the DefaultIIOPPasswordEncrypted attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  A non-configurable MBean attribute.
  Default Value: null
  Old Property: weblogic.iiop.password
  Returns:
    The defaultIIOPPassword value
  See Also:
    `getDefaultIIOPPasswordEncrypted()`

### setDefaultIIOPPassword

    public void setDefaultIIOPPassword(java.lang.String password)
                                throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `DefaultIIOPPasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `password` - The new defaultIIOPPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setDefaultIIOPPasswordEncrypted(byte[] bytes)`

### getDefaultIIOPPasswordEncrypted

    public byte[] getDefaultIIOPPasswordEncrypted()

  The encrypted password for the default IIOP user.

  Default Value: null
  Old Property: weblogic.iiop.password
  Returns:
    The defaultIIOPPassword value as encrypted byte array.
  See Also:
    `EncryptionHelper`

### setDefaultIIOPPasswordEncrypted

    public void setDefaultIIOPPasswordEncrypted(byte[] bytes)
                                         throws javax.management.InvalidAttributeValueException

  Encrypts and sets the value of the DefaultIIOPPasswordEncrypted attribute.

  Parameters:
    `bytes` - The new defaultIIOPPassword value as a byte array.
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getDefaultIIOPPasswordEncrypted()`

### isTGIOPEnabled

    public boolean isTGIOPEnabled()

  Whether or not TGIOP support is enabled.

  Default Value: false
  Old Property: weblogic.system.enableTGIOP
  Secure Value: false
  Returns:
    The tGIOPEnabled value

### setTGIOPEnabled

    public void setTGIOPEnabled(boolean enable)

  Sets the tGIOPEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new tGIOPEnabled value

### getDefaultTGIOPUser

    public java.lang.String getDefaultTGIOPUser()

  The default TGIOP user.

  Default Value: "guest"
  Returns:
    The defaultTGIOPUser value

### setDefaultTGIOPUser

    public void setDefaultTGIOPUser(java.lang.String user)
                             throws javax.management.InvalidAttributeValueException

  Sets the defaultTGIOPUser attribute of the ServerMBean object

  Default Value: "guest"
  Secure Value: null
  Parameters:
    `user` - The new defaultTGIOPUser value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultTGIOPPassword

    public java.lang.String getDefaultTGIOPPassword()

  The password for the default TGIOP user.

  As of 8.1 sp4, the `getDefaultTGIOPPassword()` method does the following:

  1. Retrieves the value of the `DefaultTGIOPPasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  Using `getDefaultTGIOPPassword()` is a potential security risk in because the String object (which contains the unencrypted password) remains the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this method, use `getDefaultTGIOPPasswordEncrypted()`.

  A non-configurable MBean attribute.
  Returns:
    The defaultTGIOPPassword value
  See Also:
    `getDefaultTGIOPPasswordEncrypted()`

### setDefaultTGIOPPassword

    public void setDefaultTGIOPPassword(java.lang.String password)
                                 throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `DefaultTGIOPPasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `password` - The new defaultTGIOPPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setDefaultTGIOPPasswordEncrypted(byte[] bytes)`

### getDefaultTGIOPPasswordEncrypted

    public byte[] getDefaultTGIOPPasswordEncrypted()

  The encrypted password for the default TGIOP user.

  Returns:
    The defaultTGIOPPassword value as encrypted byte array.
  See Also:
    `EncryptionHelper`

### setDefaultTGIOPPasswordEncrypted

    public void setDefaultTGIOPPasswordEncrypted(byte[] bytes)
                                          throws javax.management.InvalidAttributeValueException

  Encrypts and sets the value of the DefaultTGIOPPasswordEncrypted attribute.

  Parameters:
    `bytes` - The new defaultTGIOPPassword value as a byte array.
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getDefaultTGIOPPasswordEncrypted()`

### isCOMEnabled

    public boolean isCOMEnabled()

  Whether or not COM support is enabled on the plaintext port. (COM is not supported on the SSL port.)

  Default Value: false
  Secure Value: false
  Returns:
    The cOMEnabled value
  See Also:
    `NetworkChannelMBean.isCOMEnabled()`, `getListenPort()`

### setCOMEnabled

    public void setCOMEnabled(boolean enable)

  Sets the cOMEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new cOMEnabled value

### isIORServletEnabled

    public boolean isIORServletEnabled()

  Whether or not the GetIORServlet needs to be initialized.

  Default Value: false
  Secure Value: false

### setIORServletEnabled

    public void setIORServletEnabled(boolean enable)

  set the flag to enable GetIORServlet

### getCOM

    public COMMBean getCOM()

  Returns the server's COM configuration.

  Returns:
    The cOM value

### isHttpdEnabled

    public boolean isHttpdEnabled()

  Whether or not HTTP support is enabled on the plaintext or SSL port.

  Default Value: true
  Old Property: weblogic.httpd.enable
  Returns:
    The httpdEnabled value
  See Also:
    `getListenPort()`, `isTunnelingEnabled()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`, `NetworkChannelMBean.isHTTPEnabled()`, `NetworkChannelMBean.isHTTPSEnabled()`

### setHttpdEnabled

    public void setHttpdEnabled(boolean enable)

  Sets the httpdEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new httpdEnabled value

### setSystemPassword

    public void setSystemPassword(java.lang.String password)
                           throws javax.management.InvalidAttributeValueException

  Deprecated.

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `SystemPasswordEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `password` - The new systemPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setSystemPasswordEncrypted(byte[] bytes)`

### setSystemPasswordEncrypted

    public void setSystemPasswordEncrypted(byte[] bytes)
                                    throws javax.management.InvalidAttributeValueException

  Encrypts the system password and sets the value of the SystemPasswordEncrypted attribute.

  Parameters:
    `bytes` - The new systemPassword value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getSystemPasswordEncrypted()`

### setHelpPageURL

    public void setHelpPageURL(java.lang.String url)
                        throws javax.management.InvalidAttributeValueException

  Sets the helpPageURL attribute of the ServerMBean object

  Parameters:
    `url` - The new helpPageURL value
  Throws:
    javax.management.InvalidAttributeValueException -

### setWorkspaceShowUserKeysOnly

    public void setWorkspaceShowUserKeysOnly(boolean b)

  Sets the workspaceShowUserKeysOnly attribute of the ServerMBean object

  Parameters:
    `b` - The new workspaceShowUserKeysOnly value

### setConsoleInputEnabled

    public void setConsoleInputEnabled(boolean enable)

  Sets the consoleInputEnabled attribute of the ServerMBean object

  Parameters:
    `enable` - The new consoleInputEnabled value

### getListenThreadStartDelaySecs

    public int getListenThreadStartDelaySecs()

  Gets the listenThreadStartDelaySecs attribute of the ServerMBean object

  Returns:
    The listenThreadStartDelaySecs value

### getListenAddress

    public java.lang.String getListenAddress()

  The IP address or DNS name this server uses to listen for incoming connections. Servers can be reached through the following URL:
  protocol://listen-address:listen-port

  Any network channel that you configure for this server can override this listen address.

  By default, a server's listen address is undefined, which enables clients to reach the server through an IP address of the computer that hosts the server, a DNS name that resolves to the host, or the localhost string. The localhost string can be used only for requests from clients that running on the same computer as the server.

  If you want to limit the valid addresses for a server instance, specify one of the following:

  - If you provide an IP address, clients can specify either the IP address or a DNS name that maps to the IP address. Clients that specify an IP address and attempt to connect through an SSL port must disable hostname verification.
  - If you provide a DNS name, clients can specify either the DNS name or the corresponding IP address.
  Note:
    To resolve a DNS name to an IP address, WebLogic Server must be able to contact an appropriate DNS server or obtain the IP address mapping locally. Therefore, if you specify a DNS name for the listen address, you must either leave a port open long enough for the WebLogic Server instance to connect to a DNS server and cache its mapping or you must specify the IP address mapping in a local file. If you specify an IP address for ListenAddress and then a client request specifies a DNS name, WebLogic Server will attempt to resolve the DNS name, but if it cannot access DNS name mapping, the request will fail.

    Old Property: weblogic.system.bindAddr
    Returns:
      The listenAddress value
    See Also:
      `getExternalDNSName()`, `getListenPort()`, `getInterfaceAddress()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`, `NetworkAccessPointMBean.getListenAddress()`

  ### setListenAddress

      public void setListenAddress(java.lang.String address)
                            throws javax.management.InvalidAttributeValueException

    Sets the value of the ListenAddress attribute.

    Parameters:
      `address` - The new listenAddress value
    Throws:
      javax.management.InvalidAttributeValueException -
    See Also:
      `getListenAddress()`

  ### getExternalDNSName

      public java.lang.String getExternalDNSName()

    The external DNS name for the current server, which will be sent with http session cookies and also with the dynamic server lists to http proxies. This is required for configurations in which a firewall is performing Network Address Translation.

    A configurable MBean attribute
    Default Value: null
    Old Property: weblogic.system.DNSName
    Returns:
      The externalDNSName value
    See Also:
      `getListenAddress()`, `NetworkAccessPointMBean.getExternalDNSName()`

  ### setExternalDNSName

      public void setExternalDNSName(java.lang.String externalDNSName)
                              throws javax.management.InvalidAttributeValueException

    Sets the externalDNSName attribute of the ServerMBean object

    Parameters:
      `externalDNSName` - The new externalDNSName value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getInterfaceAddress

      public java.lang.String getInterfaceAddress()

    Defines the interface address used to specify the NIC that handles cluster multicast traffic.

    A configurable MBean attribute
    Old Property: weblogic.cluster.interfaceAddress
    Returns:
      The interfaceAddress value
    See Also:
      `getCluster()`, `setInterfaceAddress(java.lang.String)`, `ClusterMBean.getMulticastAddress()`

  ### setInterfaceAddress

      public void setInterfaceAddress(java.lang.String address)
                               throws javax.management.InvalidAttributeValueException

    Parameters:
      `address` - The new interfaceAddress value
    Throws:
      javax.management.InvalidAttributeValueException -
      java.lang.IllegalArgumentException - if the argument is not a well-formed IP address.

  ### getNetworkAccessPoints

      public NetworkAccessPointMBean[] getNetworkAccessPoints()

    Network access points, or "NAPs", define additional ports and addresses that this server listens on. Additionally, if two servers both support the same channel for a given protocol, then new connections between them will use that channel.

    Returns:
      The networkAccessPoints value

  ### setNetworkAccessPoints

      public void setNetworkAccessPoints(NetworkAccessPointMBean[] networkAccessPoints)
                                  throws javax.management.InvalidAttributeValueException,
                                         ConfigurationException

    Parameters:
      `networkAccessPoints` - The new networkAccessPoints value
    Throws:
      javax.management.InvalidAttributeValueException -
      ConfigurationException -
    See Also:
      `getNetworkAccessPoints()`

  ### addNetworkAccessPoint

      public boolean addNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)
                                    throws javax.management.InvalidAttributeValueException,
                                           ConfigurationException

    Parameters:
      `networkAccessPoint` - The feature to be added to the NetworkAccessPoint attribute
    Returns:
    Throws:
      javax.management.InvalidAttributeValueException -
      ConfigurationException -
    See Also:
      `getNetworkAccessPoints()`

  ### removeNetworkAccessPoint

      public boolean removeNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)
                                       throws javax.management.InvalidAttributeValueException,
                                              ConfigurationException

    Parameters:
      `networkAccessPoint` -
    Returns:
    Throws:
      javax.management.InvalidAttributeValueException -
      ConfigurationException -
    See Also:
      `getNetworkAccessPoints()`

  ### getAcceptBacklog

      public int getAcceptBacklog()

    Allowed backlog of new TCP connection requests for both the plaintext and SSL port. Setting the backlog to 0 may prevent accepting any incoming connection on some of the OS.

    Default Value: 50
    Old Property: webogic.system.acceptBacklog
    Legal Minimum Value: 0
    Returns:
      The acceptBacklog value
    See Also:
      `getListenPort()`, `getAcceptBacklog()`, `NetworkChannelMBean.getAcceptBacklog()`

  ### setAcceptBacklog

      public void setAcceptBacklog(int count)
                            throws javax.management.InvalidAttributeValueException

    Sets the acceptBacklog attribute of the ServerMBean object

    Parameters:
      `count` - The new acceptBacklog value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getLoginTimeoutMillis

      public int getLoginTimeoutMillis()

    The login timeout for the server's plain-text (non-SSL) port, in milliseconds. This is the maximum amount of time allowed for a new connection to establish. A value of 0 indicates there is no maximum. The value must be equal to or greater than 0.

    A dynamic MBean attribute
    Default Value: 5000
    Old Property: webogic.system.readTimeoutMillis
    Legal Minimum Value: 0
    Legal Maximum Value: 100000
    Secure Value: 5000
    Returns:
      The loginTimeoutMillis value
    See Also:
      `SSLMBean.getLoginTimeoutMillis()`, `KernelMBean.getSSL()`, `NetworkChannelMBean.getLoginTimeoutMillis()`, `NetworkChannelMBean.getLoginTimeoutMillisSSL()`

  ### setLoginTimeoutMillis

      public void setLoginTimeoutMillis(int count)
                                 throws javax.management.InvalidAttributeValueException

    Sets the loginTimeoutMillis attribute of the ServerMBean object

    Parameters:
      `count` - The new loginTimeoutMillis value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### setAdministrationPortEnabled

      public void setAdministrationPortEnabled(boolean value)

    Sets the administrationPortEnabled attribute of the ServerMBean object

    Secure Value: Any value greater than 0
    Parameters:
      `value` - The new administrationPortEnabled value

  ### getAdministrationPort

      public int getAdministrationPort()

    The secure administration port for the server. The setter is used to override the same field in the DomainMBean for this server. If its value is not zero then the same field in the DomainMBean will be used for the server. This port requires SSL to be configured and enabled.

    An active administration port only allows connections with administrator credentials. Its existence also prevents any other ports on the server from accepting connections with administrator credentials.

    Supports T3S and HTTPS protocols. The managed server will require to use -Dweblogic.management.server=https://admin_server:administration_port to connect to the admin server

    Default Value: 0
    Old Property: webogic.system.AdministrationPort
    Legal Minimum Value: 0
    Legal Maximum Value: 65534
    Secure Value: (value > 0)
    Returns:
      The administrationPort value
    See Also:
      `getAdministrationPort()`, `getListenPort()`, `isAdministrationPortEnabled()`, `DomainMBean.isAdministrationPortEnabled()`, `DomainMBean.getAdministrationPort()`, `KernelMBean.getSSL()`

  ### setAdministrationPort

      public void setAdministrationPort(int port)
                                 throws javax.management.InvalidAttributeValueException

    Sets the administrationPort attribute of the ServerMBean object

    Parameters:
      `port` - The new administrationPort value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getJNDITransportableObjectFactoryList

      public java.lang.String[] getJNDITransportableObjectFactoryList()

    List of factories that create transportable objects.

    Old Property: weblogic.jndi.transportableObjectFactories
    Returns:
      The jNDITransportableObjectFactoryList value

  ### setJNDITransportableObjectFactoryList

      public void setJNDITransportableObjectFactoryList(java.lang.String[] list)
                                                 throws javax.management.InvalidAttributeValueException

    Sets the jNDITransportableObjectFactoryList attribute of the ServerMBean object

    Parameters:
      `list` - The new jNDITransportableObjectFactoryList value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getXMLRegistry

      public XMLRegistryMBean getXMLRegistry()

    The XML Registry for the server.

    A configurable MBean attribute
    Returns:
      The xMLRegistry value

  ### setXMLEntityCache

      public void setXMLEntityCache(XMLEntityCacheMBean cache)
                             throws javax.management.InvalidAttributeValueException

    Sets the xMLEntityCache attribute of the ServerMBean object

    Parameters:
      `cache` - The new xMLEntityCache value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getXMLEntityCache

      public XMLEntityCacheMBean getXMLEntityCache()

    The XML Entity Cache for the server

    A configurable MBean attribute
    Returns:
      The xMLEntityCache value

  ### setXMLRegistry

      public void setXMLRegistry(XMLRegistryMBean registry)
                          throws javax.management.InvalidAttributeValueException

    Sets the xMLRegistry attribute of the ServerMBean object

    Parameters:
      `registry` - The new xMLRegistry value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getJavaCompiler

      public java.lang.String getJavaCompiler()

    The Java Compiler for all applications that need to compile Java code.

    A dynamic MBean attribute
    Default Value: "javac"
    Secure Value: "javac"
    Returns:
      The javaCompiler value

  ### setJavaCompiler

      public void setJavaCompiler(java.lang.String javaCompiler)
                           throws javax.management.InvalidAttributeValueException

    Sets the javaCompiler attribute of the ServerMBean object

    Parameters:
      `javaCompiler` - The new javaCompiler value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getJavaCompilerPreClassPath

      public java.lang.String getJavaCompilerPreClassPath()

    Returns the options to prepend to the Java compiler classpath for when we need to compile Java code.

    Default Value: null
    Secure Value: null
    Returns:
      The javaCompilerPreClassPath value

  ### setJavaCompilerPreClassPath

      public void setJavaCompilerPreClassPath(java.lang.String preClassPath)
                                       throws javax.management.InvalidAttributeValueException

    Sets the javaCompilerPreClassPath attribute of the ServerMBean object

    Parameters:
      `preClassPath` - The new javaCompilerPreClassPath value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getJavaCompilerPostClassPath

      public java.lang.String getJavaCompilerPostClassPath()

    Returns the options to append to the Java compiler classpath for when we need to compile Java code.

    Default Value: null
    Secure Value: null
    Returns:
      The javaCompilerPostClassPath value

  ### setJavaCompilerPostClassPath

      public void setJavaCompilerPostClassPath(java.lang.String postClassPath)
                                        throws javax.management.InvalidAttributeValueException

    Sets the javaCompilerPostClassPath attribute of the ServerMBean object

    Parameters:
      `postClassPath` - The new javaCompilerPostClassPath value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getExtraRmicOptions

      public java.lang.String getExtraRmicOptions()

    Returns the extra options passed to rmic during server-side generation.

    Default Value: null
    Returns:
      The extraRmicOptions value

  ### setExtraRmicOptions

      public void setExtraRmicOptions(java.lang.String options)
                               throws javax.management.InvalidAttributeValueException

    Sets the extraRmicOptions attribute of the ServerMBean object

    Parameters:
      `options` - The new extraRmicOptions value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getExtraEjbcOptions

      public java.lang.String getExtraEjbcOptions()

    Returns the extra options passed to ejbc during dynamic ejb compilation.

    Default Value: null

  ### setExtraEjbcOptions

      public void setExtraEjbcOptions(java.lang.String options)
                               throws javax.management.InvalidAttributeValueException

  ### getVerboseEJBDeploymentEnabled

      public java.lang.String getVerboseEJBDeploymentEnabled()

    Whether or not verbose deployment of EJB's is enabled.

    Default Value: "false"
    Returns:
      The verboseEJBDeploymentEnabled value

  ### setVerboseEJBDeploymentEnabled

      public void setVerboseEJBDeploymentEnabled(java.lang.String verbose)

    Sets the verboseEJBDeploymentEnabled attribute of the ServerMBean object

    Parameters:
      `verbose` - The new verboseEJBDeploymentEnabled value

  ### getTransactionLogFilePrefix

      public java.lang.String getTransactionLogFilePrefix()

    The path prefix for the server's JTA transaction log files. If the pathname is not absolute, the path is assumed to be relative to the server's root directory.

    Default Value: "./"
    Returns:
      The transactionLogFilePrefix value

  ### setTransactionLogFilePrefix

      public void setTransactionLogFilePrefix(java.lang.String pathPrefix)
                                       throws javax.management.InvalidAttributeValueException

    Sets the transactionLogFilePrefix attribute of the ServerMBean object

    Parameters:
      `pathPrefix` - The new transactionLogFilePrefix value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getTransactionLogFileWritePolicy

      public java.lang.String getTransactionLogFileWritePolicy()

    The policy used for writing log records to disk. The "Cache-Flush" policy flushes operating system and on-disk caches after each write. The "Cache-Flush" policy is the default policy. The "Direct-Write" policy tells the operating system to write directly to disk with each write. "Direct-Write" performs better than "Cache-Flush", and is available on Windows, HP-UX and Solaris. If "Direct-Write" is not supported on the host platform, the policy becomes "Cache-Flush" and a log message is printed.

    WARNING: On Windows, unlike Solaris and HP, the "Direct-Write" policy may leave transaction data in the on-disk cache without writing it to disk immediately. This is not transactionally safe, as a power failure can cause loss of on-disk cache data. For transactionally safe writes using "Direct-Write" on Windows, either disable all write caching for the disk (enabled by default), or use a disk with a battery backed cache.

    - The on-disk cache for a hard-drive on Windows can be disabled through system administration: Control-Panel -> System -> Hardware-tab -> Device-Manager-button -> Disk-Drives -> name-of-drive -> Policies-tab -> "Enable write caching on the disk" check-box. Some file systems do not allow this value to be changed. For example, a RAID system that has a reliable cache.

    Default Value: SYNCWRITE_CACHEFLUSH
    Legal NULL: false
    Legal Values: SYNCWRITE_CACHEFLUSH,SYNCWRITE_DIRECTWRITE
    Returns:
      The transactionLogFileWritePolicy value

  ### setTransactionLogFileWritePolicy

      public void setTransactionLogFileWritePolicy(java.lang.String policy)
                                            throws javax.management.InvalidAttributeValueException,
                                                   DistributedManagementException

    Sets the transactionLogFileWritePolicy attribute of the ServerMBean object

    Parameters:
      `policy` - The new transactionLogFileWritePolicy value
    Throws:
      javax.management.InvalidAttributeValueException -
      DistributedManagementException -

  ### isEnabledForDomainLog

      public boolean isEnabledForDomainLog()

    Determines whether this server sends messages to the domain log (in addition to keeping its own log).

    A dynamic MBean attribute
    Default Value: true
    Secure Value: true
    Returns:
      The enabledForDomainLog value

  ### setEnabledForDomainLog

      public void setEnabledForDomainLog(boolean choice)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

    Sets the enabledForDomainLog attribute of the ServerMBean object

    Parameters:
      `choice` - The new enabledForDomainLog value
    Throws:
      javax.management.InvalidAttributeValueException -
      DistributedManagementException -

  ### getDomainLogFilter

      public DomainLogFilterMBean getDomainLogFilter()

    Determines which messages this server sends to the domain log. If you specify `none`, the server sends all messages of severity `ERROR` and higher. This list contains all Domain Log Filters that have been defined for the domain. A server can user only one Domain Log Filter.

    This property is relevant only if `Log To Domain File` is enabled.

    A dynamic MBean attribute
    Secure Value: "none"
    Returns:
      The domainLogFilter value

  ### setDomainLogFilter

      public void setDomainLogFilter(DomainLogFilterMBean filter)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

    Sets the domainLogFilter attribute of the ServerMBean object

    Parameters:
      `filter` - The new domainLogFilter value
    Throws:
      javax.management.InvalidAttributeValueException -
      DistributedManagementException -

  ### isTunnelingEnabled

      public boolean isTunnelingEnabled()

    Enables tunneling for the T3, T3S, HTTP, HTTPS, IIOP, and IIOPS protocols. If you create network channels for this server, each channel can override this setting.

    A dynamic MBean attribute
    Default Value: false
    Old Property: weblogic.httpd.tunnelingenabled
    Returns:
      The tunnelingEnabled value
    See Also:
      `isHttpdEnabled()`, `NetworkChannelMBean.isTunnelingEnabled()`

  ### setTunnelingEnabled

      public void setTunnelingEnabled(boolean enabled)
                               throws DistributedManagementException

    Sets the tunnelingEnabled attribute of the ServerMBean object

    Parameters:
      `enabled` - The new tunnelingEnabled value
    Throws:
      DistributedManagementException -

  ### getTunnelingClientPingSecs

      public int getTunnelingClientPingSecs()

    Interval (in seconds) at which to ping a tunneled client to see if it is still alive.

    A dynamic MBean attribute
    Default Value: 45
    Old Property: weblogic.httpd.tunneling.clientPingSecs
    Legal Minimum Value: 1
    Returns:
      The tunnelingClientPingSecs value
    See Also:
      `NetworkChannelMBean.getTunnelingClientPingSecs()`

  ### setTunnelingClientPingSecs

      public void setTunnelingClientPingSecs(int secs)
                                      throws javax.management.InvalidAttributeValueException

    Sets the tunnelingClientPingSecs attribute of the ServerMBean object

    Parameters:
      `secs` - The new tunnelingClientPingSecs value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getTunnelingClientTimeoutSecs

      public int getTunnelingClientTimeoutSecs()

    Duration (in seconds) after which a missing tunneled client is considered dead.

    A dynamic MBean attribute
    Default Value: 40
    Old Property: weblogic.httpd.tunneling.clientTimeoutSecs
    Legal Minimum Value: 1
    Returns:
      The tunnelingClientTimeoutSecs value
    See Also:
      `NetworkChannelMBean.getTunnelingClientTimeoutSecs()`

  ### setTunnelingClientTimeoutSecs

      public void setTunnelingClientTimeoutSecs(int secs)
                                         throws javax.management.InvalidAttributeValueException

    Sets the tunnelingClientTimeoutSecs attribute of the ServerMBean object

    Parameters:
      `secs` - The new tunnelingClientTimeoutSecs value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### isJMSDefaultConnectionFactoriesEnabled

      public boolean isJMSDefaultConnectionFactoriesEnabled()

    Enables JMS default connection factories.

    A dynamic MBean attribute
    Default Value: true
    Returns:
      The jMSDefaultConnectionFactoriesEnabled value

  ### setJMSDefaultConnectionFactoriesEnabled

      public void setJMSDefaultConnectionFactoriesEnabled(boolean enabled)
                                                   throws DistributedManagementException

    Sets the jMSDefaultConnectionFactoriesEnabled attribute of the ServerMBean object

    Parameters:
      `enabled` - The new jMSDefaultConnectionFactoriesEnabled value
    Throws:
      DistributedManagementException -

  ### setName

      public void setName(java.lang.String name)
                   throws javax.management.InvalidAttributeValueException,
                          ManagementException

    Set the name of the MBean.

    Legal Value: LegalHelper.serverMBeanSetNameLegalCheck(value,self);
    Parameters:
      `name` - The new name value
    Throws:
      javax.management.InvalidAttributeValueException -
      ManagementException -

  ### getName

      public java.lang.String getName()

    The name of the Server.

    Returns:
      The name value

  ### getServerStart

      public ServerStartMBean getServerStart()

    Returns the ServerStartMBean that can be used to start up this server remotely.

    Returns:
      The serverStart value

  ### getListenDelaySecs

      public int getListenDelaySecs()

    Deprecated.
    Perpetuated for compatibility with 6.1 only.

    A configurable MBean attribute
    Default Value: 0
    Old Property: webogic.system.listenDelaySecs
    Returns:
      The listenDelaySecs value

  ### setListenDelaySecs

      public void setListenDelaySecs(int seconds)

    Sets the listenDelaySecs attribute of the ServerMBean object

    Parameters:
      `seconds` - The new listenDelaySecs value

  ### getLowMemoryTimeInterval

      public int getLowMemoryTimeInterval()

    Returns the time interval. So every configured 'time', one sample will be taken up to the LowMemorySampleSize and then repeated.

    A configurable MBean attribute
    Default Value: 3600
    Legal Minimum Value: 300
    Legal Maximum Value: java.lang.Integer.MAX_VALUE
    Returns:
      The lowMemoryTimeInterval value

  ### setLowMemoryTimeInterval

      public void setLowMemoryTimeInterval(int seconds)
                                    throws javax.management.InvalidAttributeValueException

    Sets the lowMemoryTimeInterval attribute of the ServerMBean object

    Parameters:
      `seconds` - The new lowMemoryTimeInterval value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getLowMemorySampleSize

      public int getLowMemorySampleSize()

    Returns the total sample size used for LowMemoryTimeInterval. By default '10' samples are taken at each LowMemoryTimeInterval.

    A configurable MBean attribute
    Default Value: 10
    Legal Minimum Value: 1
    Legal Maximum Value: java.lang.Integer.MAX_VALUE
    Returns:
      The lowMemorySampleSize value

  ### setLowMemorySampleSize

      public void setLowMemorySampleSize(int sampleSize)

    Sets the lowMemorySampleSize attribute of the ServerMBean object

    Parameters:
      `sampleSize` - The new lowMemorySampleSize value

  ### getLowMemoryGranularityLevel

      public int getLowMemoryGranularityLevel()

    Returns the granularity level used in reporting LowMemory information.

    A configurable MBean attribute
    Default Value: 5
    Legal Minimum Value: 1
    Legal Maximum Value: 100
    Secure Value: 5
    Returns:
      The lowMemoryGranularityLevel value

  ### setLowMemoryGranularityLevel

      public void setLowMemoryGranularityLevel(int size)

    Sets the lowMemoryGranularityLevel attribute of the ServerMBean object

    Parameters:
      `size` - The new lowMemoryGranularityLevel value

  ### getLowMemoryGCThreshold

      public int getLowMemoryGCThreshold()

    The threshold level (a percentage value) at which we the server logs a low memory warning once the granularity reporting level has been met.

    A configurable MBean attribute
    Default Value: 5
    Legal Minimum Value: 0
    Legal Maximum Value: 99
    Secure Value: 5
    Returns:
      The lowMemoryGCThreshold value

  ### setLowMemoryGCThreshold

      public void setLowMemoryGCThreshold(int size)

    Sets the lowMemoryGCThreshold attribute of the ServerMBean object

    Parameters:
      `size` - The new lowMemoryGCThreshold value

  ### getStagingDirectoryName

      public java.lang.String getStagingDirectoryName()

    Identifies the directory path on the managed server where all staged (prepared) applications are placed. This attribute is not dynamic. If an absolute directory name is not specified, the path is relative to rootdirectory/ Once configured, this attribute may not be changed. Remove all applications from the server prior to changing this attribute. Changes to this attribute require a server restart to take effect. The default staging directory is "stage", relative to the server root..

    Returns:
      The stagingDirectoryName value

  ### getUploadDirectoryName

      public java.lang.String getUploadDirectoryName()

    Identifies the directory path on the AdminServer where all uploaded applications are placed. If an absolute directory name is not specified, the path is relative to rootdirectory/ The default staging directory is "stage", relative to the server root.. On the ManagedServer this returns null, and is not configurable

    A dynamic MBean attribute
    Secure Value: An absolute directory that is outside the root directory of any WebLogic Server instance or application, and that resides on a physical disk that is separate from the WebLogic Server host's system disk.
    Returns:
      The uploadDirectoryName value

  ### setUploadDirectoryName

      public void setUploadDirectoryName(java.lang.String dir)

    Sets the uploadDirectoryName attribute of the ServerMBean object

    Parameters:
      `dir` - The new uploadDirectoryName value

  ### getStagingMode

      public java.lang.String getStagingMode()

    During application preparation, the application's files are copied from the source on the admin server to the managed server's staging area. If this attribute is nostage or external_stage, the copy will not occur. This is useful when the staging area is a shared directory, already containing the application files, or if this is a single server domain. The administrator must ensure that the managed server's staging directory is set appropriately. Deployment errors will result if the application is not available during the preparation or activation of the application. This attribute can be overridden with the ApplicationMBean StagingMode attribute.

    Default Value: null
    Legal Values: STAGE,NO_STAGE,EXTERNAL_STAGE
    Returns:
      The stagingMode value

  ### setStagingMode

      public void setStagingMode(java.lang.String staging)

    Sets the stagingMode attribute of the ServerMBean object

    Parameters:
      `staging` - The new stagingMode value

  ### getAutoRestart

      public boolean getAutoRestart()

    Enables/Disables automatic restart of a crashed server by the Node Manager.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: true
    Returns:
      The autoRestart value

  ### setAutoRestart

      public void setAutoRestart(boolean enable)

    Sets the autoRestart attribute of the ServerMBean object

    Parameters:
      `enable` - The new autoRestart value

  ### getAutoKillIfFailed

      public boolean getAutoKillIfFailed()

    Enables/Disables automatic kill of a Failed server by the Node Manager.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: false
    Returns:
      The autoKillIfFailed value

  ### setAutoKillIfFailed

      public void setAutoKillIfFailed(boolean enable)

    Sets the autoKillIfFailed attribute of the ServerMBean object

    Parameters:
      `enable` - The new autoKillIfFailed value

  ### getRestartIntervalSeconds

      public int getRestartIntervalSeconds()

    Interval (in seconds) during which a server can be restarted RestartMax times.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 3600
    Legal Minimum Value: 300
    Legal Maximum Value: 2147483647
    Returns:
      The restartIntervalSeconds value

  ### setRestartIntervalSeconds

      public void setRestartIntervalSeconds(int secs)
                                     throws javax.management.InvalidAttributeValueException

    Sets the restartIntervalSeconds attribute of the ServerMBean object

    Parameters:
      `secs` - The new restartIntervalSeconds value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getRestartMax

      public int getRestartMax()

    Number of times a server can be restarted within an interval of RestartIntervalSeconds seconds.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 2
    Legal Minimum Value: 0
    Legal Maximum Value: 2147483647
    Returns:
      The restartMax value

  ### setRestartMax

      public void setRestartMax(int value)
                         throws javax.management.InvalidAttributeValueException

    Sets the restartMax attribute of the ServerMBean object

    Parameters:
      `value` - The new restartMax value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getHealthCheckIntervalSeconds

      public int getHealthCheckIntervalSeconds()

    Periodicity (in seconds) of the server's health checks. This controls the frequency of the server's self-health monitoring and the Node Manager's health queries.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 180
    Legal Minimum Value: 1
    Legal Maximum Value: 2147483647
    Returns:
      The healthCheckIntervalSeconds value

  ### setHealthCheckIntervalSeconds

      public void setHealthCheckIntervalSeconds(int secs)
                                         throws javax.management.InvalidAttributeValueException

    Sets the healthCheckIntervalSeconds attribute of the ServerMBean object

    Parameters:
      `secs` - The new healthCheckIntervalSeconds value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getHealthCheckTimeoutSeconds

      public int getHealthCheckTimeoutSeconds()

    Time (in seconds) the Node Manager should wait before timing out its health query to the server.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 60
    Legal Minimum Value: 1
    Legal Maximum Value: 2147483647
    Returns:
      The healthCheckTimeoutSeconds value

  ### setHealthCheckTimeoutSeconds

      public void setHealthCheckTimeoutSeconds(int secs)
                                        throws javax.management.InvalidAttributeValueException

    Sets the healthCheckTimeoutSeconds attribute of the ServerMBean object

    Parameters:
      `secs` - The new healthCheckTimeoutSeconds value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### setHealthCheckStartDelaySeconds

      public void setHealthCheckStartDelaySeconds(int secs)
                                           throws javax.management.InvalidAttributeValueException

    Sets the healthCheckStartDelaySeconds attribute of the ServerMBean object

    Parameters:
      `secs` - The new healthCheckStartDelaySeconds value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### getRestartDelaySeconds

      public int getRestartDelaySeconds()

    Time (in seconds) the Node Manager should wait before restarting the server. This value will be used in cases such as the OS not allowing listen ports to be reused immedietly.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 0
    Legal Minimum Value: 0
    Legal Maximum Value: 2147483647
    Returns:
      The restartDelaySeconds value

  ### setRestartDelaySeconds

      public void setRestartDelaySeconds(int secs)
                                  throws javax.management.InvalidAttributeValueException

    Sets the restartDelaySeconds attribute of the ServerMBean object

    Parameters:
      `secs` - The new restartDelaySeconds value
    Throws:
      javax.management.InvalidAttributeValueException -

  ### setClasspathServletDisabled

      public void setClasspathServletDisabled(boolean enabled)

    The ClasspathServlet will serve any class file in the classpath and is registered by default in every webapp (including management). It does not need to be turned on for many applications though, and represents a security hole if unchecked.

    Default Value: false
    Secure Value: true
    Parameters:
      `enabled` - The new classpathServletDisabled value

  ### isClasspathServletDisabled

      public boolean isClasspathServletDisabled()

    Gets the classpathServletDisabled attribute of the ServerMBean object

    Returns:
      The classpathServletDisabled value

  ### setDefaultInternalServletsDisabled

      public void setDefaultInternalServletsDisabled(boolean enabled)

    This disables all default servlets in the servlet engine. This includes: weblogic.servlet.ClasspathServlet weblogic.servlet.utils.iiop.GetIORServlet weblogic.rjvm.http.TunnelSendServlet weblogic.rjvm.http.TunnelRecvServlet weblogic.rjvm.http.TunnelLoginServlet weblogic.rjvm.http.TunnelCloseServlet If set to true, this property overrides the ClasspathServletDisabled property.

    Default Value: false
    Secure Value: true
    Parameters:
      `enabled` - The new defaultInternalServletsDisabled value

  ### isDefaultInternalServletsDisabled

      public boolean isDefaultInternalServletsDisabled()

    Gets the defaultInternalServletsDisabled attribute of the ServerMBean object

    Returns:
      The defaultInternalServletsDisabled value

  ### getServerVersion

      public java.lang.String getServerVersion()

    Returns the release identifier for the server. Since this is a configured attribute it is only as accurate as the configuration. The form of the version is major.minor.servicepack.rollingpatch. Not all parts of the version are required. i.e. "7" is acceptable.

    Default Value: "unknown"
    Returns:
      The serverVersion value

  ### setServerVersion

      public void setServerVersion(java.lang.String version)

    Sets the serverVersion attribute of the ServerMBean object

    Parameters:
      `version` - The new serverVersion value

  ### setStartupMode

      public void setStartupMode(java.lang.String mode)

    Startup Mode for the server

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: "RUNNING"
    Parameters:
      `mode` - The new startupMode value

  ### getStartupMode

      public java.lang.String getStartupMode()

    Gets the startupMode attribute of the ServerMBean object

    Returns:
      The startupMode value

  ### getServerLifeCycleTimeoutVal

      public int getServerLifeCycleTimeoutVal()

    Gets the serverLifeCycleTimeoutVal attribute of the ServerMBean object

    Returns:
      The serverLifeCycleTimeoutVal value

  ### setGracefulShutdownTimeout

      public void setGracefulShutdownTimeout(int timeout)

    Number of seconds a graceful shutdown operation waits before forcing a shut down. A graceful shutdown gives WebLogic Server subsystems time to complete certain application processing currently in progress. If subsystems are unable to complete processing within the number of seconds that this attribute specifies, then the server will force shutdown automatically.

    A value of `0` means that the server will wait indefinitely for graceful shutdown to complete.

    This attribute applies only to graceful shutdown operations, while the `ServerLifeCycleTimeoutVal` attribute applies only to force shutdowns.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 0
    Legal Minimum Value: 0
    Parameters:
      `timeout` - The new gracefulShutdownTimeout value

  ### getGracefulShutdownTimeout

      public int getGracefulShutdownTimeout()

    Gets the gracefulShutdownTimeout attribute of the ServerMBean object

    Returns:
      The gracefulShutdownTimeout value

  ### isIgnoreSessionsDuringShutdown

      public boolean isIgnoreSessionsDuringShutdown()

    Indicates whether a graceful shutdown operation drops all HTTP sessions immediately. If this attribute is set to `false`, a graceful shutdown operation waits for HTTP sessions to complete or timeout.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: false
    Returns:
      The ignoreSessionsDuringShutdown value

  ### setIgnoreSessionsDuringShutdown

      public void setIgnoreSessionsDuringShutdown(boolean ignoreSessions)

    Sets the ignoreSessionsDuringShutdown attribute of the ServerMBean object

    Parameters:
      `ignoreSessions` - The new ignoreSessionsDuringShutdown value

  ### isManagedServerIndependenceEnabled

      public boolean isManagedServerIndependenceEnabled()

    Indicates whether Managed Server Independence is enabled for this server. With Managed Server Independence enabled, you can start a Managed Server even if the Administration Server is unavailable. In such a case, the Managed Server retrieves its configuration by reading a configuration file and other files directly.

    Default Value: true
    Secure Value: true
    Returns:
      The managedServerIndependenceEnabled value

  ### setManagedServerIndependenceEnabled

      public void setManagedServerIndependenceEnabled(boolean enable)

    Sets the managedServerIndependenceEnabled attribute of the ServerMBean object

    Parameters:
      `enable` - The new managedServerIndependenceEnabled value

  ### isMSIFileReplicationEnabled

      public boolean isMSIFileReplicationEnabled()

    Indicates whether the replication of configuration files is enabled for a Managed Server. With file replication enabled, the Administration Server copies its configuration file and `SerializedSystemIni.dat` into the Managed Server's root directory every 5 minutes. This option does not replicate a boot identity file.

    Regardless of the name of the configuration file that you used to start the Administration Server, the replicated file is always named `msi-config.xml`. For example, if you specified `-Dweblogic.ConfigFile=MyConfig.xml` when you started the Administration Server, if you have enabled file replication, the Administration Server copies `MyConfig.xml` and names the copy `msi-config.xml`.

    Depending on your backup schemes and the frequency with which you update your domain's configuration, this option might not be worth the performance cost of copying potentially large files across a network.

    Default Value: false
    Secure Value: false
    Returns:
      The mSIFileReplicationEnabled value

  ### setMSIFileReplicationEnabled

      public void setMSIFileReplicationEnabled(boolean enable)

    Sets the mSIFileReplicationEnabled attribute of the ServerMBean object

    Parameters:
      `enable` - The new mSIFileReplicationEnabled value

  ### setClientCertProxyEnabled

      public void setClientCertProxyEnabled(boolean ccp)

    A value of `true` causes proxy-server plugins to pass identity certifications from clients to all web applications that are deployed on this server instance.

    A proxy-server plugin encodes each identify certification in the `WL-Proxy-Client-Cert` header and passes the header to WebLogic Server instances. A WebLogic Server instance takes the certificate information from the header, trusting that it came from a secure source, and uses that information to authenticate the user.

    If you specify `true`, use a `ConnectionFilter` to ensure that this WebLogic Server instance accepts connections only from the machine on which the proxy-server plugin is running. Specifying `true` without using a connection filter creates a security vulnerability because the `WL-Proxy-Client-Cert` header can be spoofed.

    By default (or if you specify `false`), the `weblogic.xml` deployment descriptor for each web application that is deployed on this server determines whether the web application trusts certificates sent from the proxy server plugin. By default (or if the deployment descriptor specifies `false`), users cannot log in to the web application from a proxy server plugin.

    The value that this method sets is overriden if the server is part of a cluster and the cluster's `ClusterMBean.setClientCertProxyEnabled(boolean)` method specifies `true`.

    Default Value: false
    Secure Value: false
    Parameters:
      `ccp` - The new clientCertProxyEnabled value

  ### isClientCertProxyEnabled

      public boolean isClientCertProxyEnabled()

    Gets the clientCertProxyEnabled attribute of the ServerMBean object

    Returns:
      The clientCertProxyEnabled value

  ### setWeblogicPluginEnabled

      public void setWeblogicPluginEnabled(boolean wpe)

    WLS HttpRequest.getRemoteAddr() used to rely on X-Forwarded-For for its returned value. This is a security hole due to HTTP header can be easily mocked and we end up with returning wrong value. This is improved by introducing a proprietary header WL-Proxy-Client-IP from our plugins and this header will only be used if WLS is configured to use our plugins. This is duplicated both in ClusterMBean and ServerMBean so the attribute WeblogicPluginEnabled can be used cluster-wide. ClusterMBean overrides ServerMBean

    Default Value: false
    Parameters:
      `wpe` - The new weblogicPluginEnabled value

  ### isWeblogicPluginEnabled

      public boolean isWeblogicPluginEnabled()

    Gets the weblogicPluginEnabled attribute of the ServerMBean object

    Returns:
      The weblogicPluginEnabled value

  ### getHostsMigratableServices

      public boolean getHostsMigratableServices()

    Gets the hostsMigratableServices attribute of the ServerMBean object

    Returns:
      The hostsMigratableServices value

  ### setHttpTraceSupportEnabled

      public void setHttpTraceSupportEnabled(boolean tse)

    Attackers may abuse HTTP TRACE functionality to gain access to information in HTTP headers such as cookies and authentication data. In the presence of other cross-domain vulnerabilities in web browsers, sensitive header information could be read from any domains that support the HTTP TRACE method. This attribute is for disabling HTTP TRACE support. It is duplicated both in ClusterMBean and ServerMBean so the attribute HttpTraceSupportEnabled can be used cluster-wide. ClusterMBean overrides ServerMBean

    Default Value: false

  ### isHttpTraceSupportEnabled

      public boolean isHttpTraceSupportEnabled()

  ### setKeyStores

      public void setKeyStores(java.lang.String keystores)

    Which configuration rules should be used for finding the server's identity and trust keystores?

    A configurable MBean attribute
    Default Value: weblogic.security.utils.KeyStoreConstants.DEMO_IDENTITY_AND_DEMO_TRUST
    Legal Values: weblogic.security.utils.KeyStoreConstants.DEMO_IDENTITY_AND_DEMO_TRUST, weblogic.security.utils.KeyStoreConstants.CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST, weblogic.security.utils.KeyStoreConstants.CUSTOM_IDENTITY_AND_CUSTOM_TRUST, weblogic.security.utils.KeyStoreConstants.CUSTOM_IDENTITY_AND_COMMAND_LINE_TRUST
    Parameters:
      `keystores` - The new keyStores value

  ### getKeyStores

      public java.lang.String getKeyStores()

    Gets the keyStores attribute of the ServerMBean object

    Returns:
      The keyStores value

  ### setCustomIdentityKeyStoreFileName

      public void setCustomIdentityKeyStoreFileName(java.lang.String fileName)

    The custom identity keystore's file name. The file name must either be absolute or relative to where the server was booted. This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST, CUSTOM_IDENTITY_AND_CUSTOM_TRUST or CUSTOM_IDENTITY_AND_COMMAND_LINE_TRUST

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `fileName` - The new customIdentityKeyStoreFileName value

  ### getCustomIdentityKeyStoreFileName

      public java.lang.String getCustomIdentityKeyStoreFileName()

    Gets the customIdentityKeyStoreFileName attribute of the ServerMBean object

    Returns:
      The customIdentityKeyStoreFileName value

  ### setCustomIdentityKeyStoreType

      public void setCustomIdentityKeyStoreType(java.lang.String type)

    The custom identity keystore's type. If empty or null, then the JDK's default keystore type (specified in java.security) is used. This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST, CUSTOM_IDENTITY_AND_CUSTOM_TRUST or CUSTOM_IDENTITY_AND_COMMAND_LINE_TRUST

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `type` - The new customIdentityKeyStoreType value

  ### getCustomIdentityKeyStoreType

      public java.lang.String getCustomIdentityKeyStoreType()

    Gets the customIdentityKeyStoreType attribute of the ServerMBean object

    Returns:
      The customIdentityKeyStoreType value

  ### getCustomIdentityKeyStorePassPhrase

      public java.lang.String getCustomIdentityKeyStorePassPhrase()

    The custom identity keystore's passphrase. If empty or null, then the keystore will be opened without a passphrase.

    This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST, CUSTOM_IDENTITY_AND_CUSTOM_TRUST or CUSTOM_IDENTITY_AND_COMMAND_LINE_TRUST.

    As of 8.1 sp4, the `getCustomIdentityKeyStorePassPhrase()` method does the following:

    1. Retrieves the value of the `CustomIdentityKeyStorePassPhrase` attribute.
    2. Decrypts the value and returns the unencrypted passphrase as a String.

    Using `getCustomIdentityKeyStorePassPhrase()` is a potential security risk because the String object (which contains the unencrypted passphrase) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

    Instead of using this method, use `getCustomIdentityKeyStorePassPhrase()`.

    A non-configurable MBean attribute.
    Returns:
      The customIdentityKeyStorePassPhrase value
    See Also:
      `getCustomIdentityKeyStorePassPhraseEncrypted()`

  ### setCustomIdentityKeyStorePassPhrase

      public void setCustomIdentityKeyStorePassPhrase(java.lang.String passPhrase)

    As of 8.1 sp4, this method does the following:

    1. Encrypts the parameter value.
    2. Sets the value of the `CustomIdentityKeyStorePassPhraseEncrypted` attribute to the encrypted parameter value.

    A non-configurable MBean attribute.
    Default Value: null
    Parameters:
      `passPhrase` - The new customIdentityKeyStorePassPhrase value
    See Also:
      `setCustomIdentityKeyStorePassPhraseEncrypted(byte[] bytes)`

  ### getCustomIdentityKeyStorePassPhraseEncrypted

      public byte[] getCustomIdentityKeyStorePassPhraseEncrypted()

    The encrypted custom identity keystore's passphrase. If empty or null, then the keystore will be opened without a passphrase.

    This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST, CUSTOM_IDENTITY_AND_CUSTOM_TRUST or CUSTOM_IDENTITY_AND_COMMAND_LINE_TRUST.

    Returns:
      The customIdentityKeyStorePassPhrase value as a byte array.
    See Also:
      `EncryptionHelper`

  ### setCustomIdentityKeyStorePassPhraseEncrypted

      public void setCustomIdentityKeyStorePassPhraseEncrypted(byte[] bytes)

    Encrypts and sets the value of the CustomIdentityKeyStorePassPhraseEncrypted attribute.

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `bytes` - The new customIdentityKeyStorePassPhrase value as encrypted byte array.
    See Also:
      `getCustomIdentityKeyStorePassPhraseEncrypted()`

  ### setCustomTrustKeyStoreFileName

      public void setCustomTrustKeyStoreFileName(java.lang.String fileName)

    The custom trust keystore's file name. The file name must either be absolute or relative to where the server was booted. This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_CUSTOM_TRUST

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `fileName` - The new customTrustKeyStoreFileName value

  ### getCustomTrustKeyStoreFileName

      public java.lang.String getCustomTrustKeyStoreFileName()

    Gets the customTrustKeyStoreFileName attribute of the ServerMBean object

    Returns:
      The customTrustKeyStoreFileName value

  ### setCustomTrustKeyStoreType

      public void setCustomTrustKeyStoreType(java.lang.String type)

    The custom trust keystore's type. If empty or null, then the JDK's default keystore type (specified in java.security) is used. This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_CUSTOM_TRUST

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `type` - The new customTrustKeyStoreType value

  ### getCustomTrustKeyStoreType

      public java.lang.String getCustomTrustKeyStoreType()

    Gets the customTrustKeyStoreType attribute of the ServerMBean object

    Returns:
      The customTrustKeyStoreType value

  ### getCustomTrustKeyStorePassPhrase

      public java.lang.String getCustomTrustKeyStorePassPhrase()

    The custom trust keystore's passphrase. If empty or null, then the keystore will be opened without a passphrase.

    This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_CUSTOM_TRUST.

    As of 8.1 sp4, the `getCustomTrustKeyStorePassPhrase()` method does the following:

    1. Retrieves the value of the `CustomTrustKeyStorePassPhraseEncrypted` attribute.
    2. Decrypts the value and returns the unencrypted passphrase as a String.

    Using `getCustomTrustKeyStorePassPhrase()` is a potential security risk because the String object (which contains the unencrypted passphrase) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

    Instead of using this method, use `getCustomTrustKeyStorePassPhraseEncrypted()`.

    Returns:
      The customTrustKeyStorePassPhrase value
    See Also:
      `getCustomTrustKeyStorePassPhraseEncrypted()`

  ### setCustomTrustKeyStorePassPhrase

      public void setCustomTrustKeyStorePassPhrase(java.lang.String passPhrase)

    As of 8.1 sp4, this method does the following:

    1. Encrypts the parameter value.
    2. Sets the value of the `CustomTrustKeyStorePassPhraseEncrypted` attribute to the encrypted parameter value.

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `passPhrase` - The new customTrustKeyStorePassPhrase value
    See Also:
      `setCustomTrustKeyStorePassPhraseEncrypted(byte[] bytes)`

  ### getCustomTrustKeyStorePassPhraseEncrypted

      public byte[] getCustomTrustKeyStorePassPhraseEncrypted()

    The custom trust keystore's encrypted passphrase. If empty or null, then the keystore will be opened without a passphrase.

    This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_CUSTOM_TRUST.

    Returns:
      The customTrustKeyStorePassPhrase value an an encrypted byte array.
    See Also:
      `EncryptionHelper`

  ### setCustomTrustKeyStorePassPhraseEncrypted

      public void setCustomTrustKeyStorePassPhraseEncrypted(byte[] bytes)

    Encrypts and sets the value of the CustomTrustKeyStorePassPhraseEncrypted attribute.

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `bytes` - The new customTrustKeyStorePassPhrase value as a byte array
    See Also:
      `getCustomTrustKeyStorePassPhraseEncrypted()`

  ### getJavaStandardTrustKeyStorePassPhrase

      public java.lang.String getJavaStandardTrustKeyStorePassPhrase()

    The JRE's standard trust keystore's passphrase. If empty or null, then the keystore will be opened without a passphrase.

    This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST or DEMO_IDENTITY_AND_DEMO_TRUST.

    As of 8.1 sp4, the `getJavaStandardTrustKeyStorePassPhrase()` method does the following:

    1. Retrieves the value of the `JavaStandardTrustKeyStorePassPhraseEncrypted` attribute.
    2. Decrypts the value and returns the unencrypted passphrase as a String.

    Using `getJavaStandardTrustKeyStorePassPhrase()` is a potential security risk because the String object (which contains the unencrypted passphrase) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

    Instead of using this method, use `getJavaStandardTrustKeyStorePassPhraseEncrypted()`.

    A non-configurable MBean attribute.
    Returns:
      The JavaStandardTrustKeyStorePassPhrase value
    See Also:
      `getJavaStandardTrustKeyStorePassPhraseEncrypted()`

  ### setJavaStandardTrustKeyStorePassPhrase

      public void setJavaStandardTrustKeyStorePassPhrase(java.lang.String passPhrase)

    As of 8.1 sp4, this method does the following:

    1. Encrypts the parameter value.
    2. Sets the value of the `JavaStandardTrustKeyStorePassPhraseEncrypted` attribute to the encrypted parameter value.

    A non-configurable MBean attribute.
    Default Value: null
    Parameters:
      `passPhrase` - The new javaStandardTrustKeyStorePassPhrase value
    See Also:
      `setJavaStandardTrustKeyStorePassPhraseEncrypted(byte[] bytes)`

  ### getJavaStandardTrustKeyStorePassPhraseEncrypted

      public byte[] getJavaStandardTrustKeyStorePassPhraseEncrypted()

    The JRE's standard trust keystore's encrypted passphrase. If empty or null, then the keystore will be opened without a passphrase.

    This attribute is only used if KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST or DEMO_IDENTITY_AND_DEMO_TRUST.

    Returns:
      The javaStandardTrustKeyStorePassPhrase value as a byte array.
    See Also:
      `EncryptionHelper`

  ### setJavaStandardTrustKeyStorePassPhraseEncrypted

      public void setJavaStandardTrustKeyStorePassPhraseEncrypted(byte[] bytes)

    Encrypts and sets the value of the JavaStandardTrustKeyStorePassPhraseEncrypted attribute.

    A configurable MBean attribute
    Default Value: null
    Parameters:
      `bytes` - The new javaStandardTrustKeyStorePassPhrase value
    See Also:
      `getJavaStandardTrustKeyStorePassPhraseEncrypted()`

  ### setReliableDeliveryPolicy

      public void setReliableDeliveryPolicy(WSReliableDeliveryPolicyMBean mbean)

    The reliable delivery policy for web services.

    A configurable MBean attribute
    Legal Value: ((value == void)?(true):(WebServiceLegalHelper.storeIsValid(self, value)))
    Parameters:
      `mbean` - The new reliableDeliveryPolicy value

  ### getReliableDeliveryPolicy

      public WSReliableDeliveryPolicyMBean getReliableDeliveryPolicy()

    Gets the reliableDeliveryPolicy attribute of the ServerMBean object

    Returns:
      The reliableDeliveryPolicy value

  ### isMessageIdPrefixEnabled

      public boolean isMessageIdPrefixEnabled()

    Indicates whether message ids in logged messages will include a prefix. Message ids are 6 digit numeric strings that can be optionally presented in a log entry with a prefix. The prefix used by server messages is "BEA-".

    A configurable MBean attribute
    Default Value: true
    Returns:
      The messageIdPrefixEnabled value

  ### setMessageIdPrefixEnabled

      public void setMessageIdPrefixEnabled(boolean prefix)

    Sets the messageIdPrefixEnabled attribute of the ServerMBean object

    Parameters:
      `prefix` - The new messageIdPrefixEnabled value

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Documentation is available at http://e-docs.bea.com/wls/docs81
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD